org.apache.poi.sl.draw.geom

## Class PresetGeometries

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<java.lang.String,CustomGeometry>
      - - org.apache.poi.sl.draw.geom.PresetGeometries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,CustomGeometry>

      public class PresetGeometries
      extends java.util.LinkedHashMap<java.lang.String,CustomGeometry>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static PresetGeometries` | `_inst`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PresetGeometries()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CustomGeometry` | `convertCustomGeometry(javax.xml.stream.XMLStreamReader staxReader)` Convert a single CustomGeometry object, i.e.
    `static PresetGeometries` | `getInstance()`
    `void` | `init(java.io.InputStream is)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Field Detail

    - #### _inst

          protected static PresetGeometries _inst

  - ### Constructor Detail

    - #### PresetGeometries

          protected PresetGeometries()

  - ### Method Detail

    - #### init

          public void init(java.io.InputStream is)
                    throws javax.xml.stream.XMLStreamException,
                           javax.xml.bind.JAXBException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `javax.xml.bind.JAXBException`

    - #### convertCustomGeometry

          public static CustomGeometry convertCustomGeometry(javax.xml.stream.XMLStreamReader staxReader)

      Convert a single CustomGeometry object, i.e. from xmlbeans

    - #### getInstance

          public static PresetGeometries getInstance()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.